Array
(
)

Compilando com diferentes versões do Delphi 6

As-mad
   - 20 dez 2005

Olá pessoal,

Fiz uma aplicação simples em Delphi 6 Professional e agora estou tentando compilar e aparece a mensagem ´Fatal error(...) Unit ExtActns was compiled with a different version of Consts.SUrlMonDllMissing´.
Tentei excluir alguns componentes porém não encontro onde está a dependência com essa Unit, além do que, já tentei fazer um Build na aplicação e o erro persiste.

Alguém tem uma idéia do que posso fazer para compilar essa aplicação?


Marcio.theis
   - 20 dez 2005

Você fez o programa no Delphi 6 e está tentando rodar em qual versão ?


As-mad
   - 21 dez 2005

ambos em Delphi 6, porém desenvolvi em Delphi 6 Professional e tentei abrir em outro computador com Delphi 6 Enterprise com o Update 2 e não consegui compilar. Porém agora instalei o Delphi 7 e está funcionando.

Obrigado de qqr maneira ;)


Massuda
   - 21 dez 2005

A mensagem de erro que você citou significa que o compilador está usando uma DCU compilada com outra versão do Delphi. Como você diz que resolveu com o D7, provavelmente a DCU tinha sido gerada com o D7.